Bug 218608 - [PATCH] net-mgmt/librenms: various bugfixes
Summary: [PATCH] net-mgmt/librenms: various bugfixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Muhammad Moinur Rahman
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-04-12 18:14 UTC by Jonathan Price
Modified: 2017-06-06 13:48 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (bofh)


Attachments
Patch file (3.40 KB, patch)
2017-04-12 18:14 UTC, Jonathan Price
no flags Details | Diff
Patch including 1.27 upgrade (6.67 KB, patch)
2017-05-09 11:44 UTC, Jonathan Price
freebsd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Price 2017-04-12 18:14:39 UTC
Created attachment 181735 [details]
Patch file

- Fixed an issue where services-wrapper wasn't working (by adding the PATH line to the crontab)
- Fixed a permissions issue with some directories
- Added patch to validate.php which allows it to work correctly (accidentally ommitted from previous commit)
Comment 1 Jonathan Price 2017-05-09 11:44:46 UTC
Created attachment 182437 [details]
Patch including 1.27 upgrade

This is a draft patch that includes an upgrade to LibreNMS 1.27. There is a small modification to the patch to daily.sh, as I managed to push a change upstream there.

It looks like there's a couple of odd bits in that SVN diff, but i'm not enough of an expert on SVN to know what's going on there. So I would recommend you review it carefully.
Comment 2 Muhammad Moinur Rahman freebsd_committer 2017-06-04 23:16:53 UTC
Sorry for the delay, but my builder broke. So building nearly 216 new ports for each of the version which is going to take a while.
Comment 3 Muhammad Moinur Rahman freebsd_committer 2017-06-06 13:48:12 UTC
Committed with update to 1.28